For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Workspaces
LogoLogo
SupportContact salesStart free trial
API ReferenceWork Space

Retrieve Workspaces

GET
https://api.projectmanager.com/api/data/workspaces
GET
/api/data/workspaces
$curl https://api.projectmanager.com/api/data/workspaces \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "company": "string",
17 "customProductDomain": "string",
18 "isOwner": true,
19 "organizationId": "string",
20 "color": "string",
21 "roleName": "string",
22 "registerDate": "2024-01-15T09:30:00Z",
23 "businessUserId": "string",
24 "isPaid": true,
25 "customerId": "string",
26 "isInviteAccepted": true
27 }
28 ]
29}
Retrieve the list of Workspaces to which the currently logged on user has access. A single User may have access to multiple Workspaces, although they can only be logged on to one Workspace at a time. This API lists all Workspaces to which the currently logged on user is entitled to access. To determine which Workspace a user is currently logged on use the `/api/data/me` endpoint.
Was this page helpful?
Previous
Built with

Retrieve the list of Workspaces to which the currently logged on user has access.

A single User may have access to multiple Workspaces, although they can only be logged on to one Workspace at a time. This API lists all Workspaces to which the currently logged on user is entitled to access. To determine which Workspace a user is currently logged on use the /api/data/me endpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.